Create a Deposit (Fiat or Crypto)

This endpoint is used to execute a deposit (crypto/fiat -in) transaction for a User. The transaction assessment and User information requirement are evaluated before the transaction is executed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Fund a Wallet with crypto. SourceMethod: external crypto Wallet. DestinationMethod: Wallet on the platform.

sourceMethod
required
destinationMethod
object
string
enum
required
string
length ≤ 64
^[a-z0-9_-]{3,64}$

The id of the transaction/payment. Optional, will be populated with the value provided in the x-pti-request-id header.

string
length ≤ 64
^[a-z0-9_-]{3,64}$

If your system performs transactions that are together part of an overall transaction group, use this to tie them together

string
length ≤ 64
^[a-z0-9_-]{3,64}$

If your system is multi-tenant and you have this is the id of your client that is making the request

transactionTotal
object
double
0 to 999999
double
required
0 to 999999
string
required
length ≤ 40
^(?:[1-9]\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-][01]\d:[0-5]\d)

ISO-8601

initiator
required
ptiMeta
object

key/value map of extra meta data for this request (used by PTI)

clientMeta
object

key/value map of extra meta data for this request (used by Client)

deviceInformation
object
Headers
string
required
length ≤ 64
^[a-z0-9_-]{3,64}$

Unique identifier of the request. This ID must be provided and stored by the client of this API at the creation of a transaction. This ID is attached to all PTI internal operations as well as the webhook calls. This ID is required to post feedback about a transaction and get support from PTI for a problem on a transaction. Creating two transactions having the same requestId is not allowed.

string
required
length ≤ 64
^[a-z0-9_-]{3,64}$

Represents a User action under which transaction amounts will accumulated and will control the User Assessment requirements. The values this header can take must be agreed upon and communicated to PTI. Setting unknown values here will generate an error.

string
length ≤ 64
^[a-z0-9_-]{3,64}$

Session ID associated to a UI session for a specific User. Should match the value passed to the PTI SDK at initialization.

boolean

Set to true to disable webhook calls for this request.

string
length ≤ 64
^[A-Za-z0-9\-_]{3,64}$

Used to specify which provider is responsible for handling the given operation. Ignored if the client configuration is not set for passive mode.

string
required
length ≤ 64
^[a-z0-9_-]{3,64}$

Client ID provided to you during onboarding.

Responses

429

Too many requests

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json